package com.blueland.constant;

/**
 * @description: redis定义key
 * @author: bigTian
 * @create: 2021-11-18 09:28
 */
public class RedisConstant {
    /**
     * 数据字典
     */
    public static final String SYS_DICT_CACHE = "crm:dict:cache";

    /**
     * 通配符
     */
    public static final String WILDCARD = "*";
    /**
     * 分割符
     */
    public static final String DIVISION = ":";
    /**
     * 部门
     */
    public static final String SYS_DEPT = "SYS:DEPT";

    /**
     * 任岗编码 -> 员工信息
     */
    public static final String SYS_STAFF = "SYS:STAFF";

    /**
     * 租户id:菜单类型type:菜单id -> 菜单实体
     */
    public static final String SYS_MENU = "SYS:MENU";

    /**
     * usm redis前缀
     */
    public static final String SYS = "SYS";

    /**
     * 字典key
     */
    public static final String SYS_DICT = "SYS:DICT";

    /**
     * 角色key
     */
    public static final String SYS_ROLE = "SYS:ROLE";

    /**
     * 租户id:角色id -> List<菜单redisKey（租户id:菜单类型type:菜单id）>
     */
    public static final String SYS_MENU_ID = "SYS:MENU_ID";

}
