package com.blueland.dao;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.blueland.bo.AppIdUserIdAppIdRoleIdDTO;
import com.blueland.bo.Role2userEntity;
import com.blueland.model.TPfRole2user;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface Role2userDao extends BaseMapper<TPfRole2user> {

    @InterceptorIgnore(tenantLine = "true")
    List<AppIdUserIdAppIdRoleIdDTO> findListRoleId(@Param("appId") String appId);

    @InterceptorIgnore(tenantLine = "true")
    void deleteByAppId(@Param("appId") String appId);

    @InterceptorIgnore(tenantLine = "true")
    List<TPfRole2user> selectListByAppId(@Param("appId") String appId);
}
