package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfSysOplog;
import org.apache.ibatis.annotations.Mapper;

import com.blueland.bo.SysOplogEntity;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface SysOplogDao extends BaseMapper<TPfSysOplog> {


    /**
     * 根据条件查询查询列表
     */
    List<SysOplogEntity> findSysOplogListByParams(@Param("bo")Map<String, Object> tagSysOplog);

    Page<SysOplogEntity> findSysOplogPageByParams(@Param("page") Page<SysOplogEntity> page, @Param("bo")Map<String, Object> tagSysOplog);

    List<SysOplogEntity> findList(@Param("bo")SysOplogEntity bo);

    Page<SysOplogEntity> findPage(@Param("page") Page<SysOplogEntity> page, @Param("bo")SysOplogEntity entity);
}
