package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfSysPvlog;
import org.apache.ibatis.annotations.Mapper;

import com.blueland.bo.SysPvlogEntity;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SysPvlogDao extends BaseMapper<TPfSysPvlog> {


    /**
     * 根据条件查询查询列表
     */
    List<SysPvlogEntity> findSysPvlogListByParams(@Param("bo") Map<String, Object> tagSysPvlog);

    Page<SysPvlogEntity> findSysPvlogPageByParams(@Param("page") Page<SysPvlogEntity> page, @Param("bo") Map<String, Object> tagSysPvlog);

	List<SysPvlogEntity> findList(@Param("bo") SysPvlogEntity bo);

    Page<SysPvlogEntity> findPage(@Param("page") Page<SysPvlogEntity> page, @Param("bo") SysPvlogEntity entity);
}
