package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.bo.SysTimetaskEntity;
import com.blueland.model.TPfSysTimetask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SysTimetaskDao extends BaseMapper<TPfSysTimetask> {

    /**
     * 根据条件查询查询列表
     */
    List<SysTimetaskEntity> findSysTimetaskListByParams(@Param("bo") Map<String, Object> tagSysTimetask);

    Page<SysTimetaskEntity> findSysTimetaskPageByParams(@Param("page") Page<SysTimetaskEntity> page,  @Param("bo") Map<String, Object> tagSysTimetask);

    List<SysTimetaskEntity> findList(@Param("bo")SysTimetaskEntity bo);

    Page<SysTimetaskEntity> findPage(@Param("page") Page<SysTimetaskEntity> page,  @Param("bo") SysTimetaskEntity entity);
}
