package com.blueland.bo;

import com.blueland.model.Query;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

@Data
@EqualsAndHashCode(callSuper=false)
public class ParameterEntity extends Query {
	private static final long serialVersionUID = 1L;
	//alias
	public static final String TABLE_ALIAS = "Parameter";
	
		
	//可以直接使用: @Length(max=50,message="用户名长度不能大于50")显示错误消息
	//columns START
	/**
	* pid       db_column: P_ID 
	*/	
	@Length(max=50)
	private String pid;
	/**
	* description       db_column: DESCRIPTION 
	*/	
	@Length(max=255)
	private String description;
	/**
	* pkey       db_column: P_KEY 
	*/	
	@Length(max=50)
	private String pkey;
	/**
	* pvalue       db_column: P_VALUE 
	*/	
	@Length(max=255)
	private String pvalue;

	private String appId;
	//columns END

}

