package com.blueland.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 区域对象 t_area
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_area")
public class TArea implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 唯一ID
     */
    @TableId(value = "id")
    private String id;

    /**
     * 名称
     */
    @TableField("aname")
    private String aname;

    /**
     * 父ID
     */
    @TableField("pid")
    private String pid;

    /**
     * 省份编码
     */
    @TableField("tid")
    private String tid;

    /**
     * 创建时间
     */

    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

}
