package com.blueland.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 角色权限对象 t_pf_role2auth
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pf_role2auth")
public class TPfRole2auth implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 角色ID
     */
    @TableField("AUTH_ID")
    private String roleId;

    /**
     * 权限ID
     */
    @TableId("AUTH_ID")
    private String authId;

    /**
     * 状态Y:启用 N:禁用
     */
    @TableField("STATUS")
    private String STATUS;

    /**
     * 创建人
     */
    @TableField("CREATOR_ID")
    private String creatorId;

    /**
     * 创建时间
     */
    @TableField("CREATE_DATE")
    private Date createDate;

    /**
     * 最后更新人
     */
    @TableField("UPDATOR_ID")
    private String updatorId;

    /**
     * 最后更新时间
     */
    @TableField("UPDATE_DATE")
    private Date updateDate;

    /**
     * 租户id
     */
    @TableField("app_id")
    private String appId;

}
