package com.blueland.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 人员权限对象 t_pf_role2user
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pf_role2user")
public class TPfRole2user implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 角色ID
     */
    @TableId("ROLE_ID")
    private String roleId;

    /**
     * 用户ID
     */
    @TableField("USER_ID")
    private String userId;

    /**
     * 状态Y:启用 N:禁用
     */
    @TableField("STATUS")
    private String STATUS;

    /**
     * 创建人
     */
    @TableField("CREATOR_ID")
    private String creatorId;

    /**
     * 创建时间
     */
    @TableField("CREATE_DATE")
    private Date createDate;

    /**
     * 最后更新人
     */
    @TableField("UPDATOR_ID")
    private String updatorId;

    /**
     * 最后更新时间
     */
    @TableField("UPDATE_DATE")
    private Date updateDate;

    /**
     * 部门id
     */
    @TableField("ORG_ID")
    private String orgId;

    /**
     * 部门名称
     */
    @TableField("ORG_NAME")
    private String orgName;

    /**
     * 
     */
    @TableField("TITLE_ID")
    private String titleId;

    /**
     * 应用id
     */
    @TableField("APP_ID")
    private String appId;

    /**
     * 岗位编码
     */
    @TableField("staff_post_code")
    private String staffPostCode;
}
