package com.blueland.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * PV日志对象 t_pf_sys_pvlog
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pf_sys_pvlog")
public class TPfSysPvlog implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 唯一ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 业务主键
     */
    private String bizId;

    /**
     * 业务类型，TASK：任务
     */
    private String bizType;

    /**
     * 访问页面标题
     */
    private String aceessTitle;

    /**
     * IP地址
     */
    private String aceessIp;

    /**
     * 访问页面标题
     */
    private String aceessUrl;

    /**
     * 访问时间
     */
    private Date aceessTime;

    /**
     * 访问来源，手机端：APP、网页端：PC
     */
    private String aceessSource;

    /**
     * 访问设备，仅针对手机端，如ios
     */
    private String aceessDevice;

    /**
     * 访问浏览器
     */
    private String aceessBrowse;

    /**
     * 所属系统
     */
    private String appId;

    /**
     * 备注
     */
    private String remark;

}
