package com.blueland.render.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import lombok.Data;

@Data
@Component
@ConfigurationProperties(prefix = "my")
public class CustomConfig {
	public static final String OTHER_SQL_SESSION_FACTORY = "otherSessionFactory";
	public static final String CACHE_DATABASE_KEY = "pf_database";
	/**
	 * 流程服务
	 */
	private String workflowServiceUrl;

	private String authServer;
	private String clientId;
	private String clientSecret;

	/**
	 * 上传服务
	 */
	private String upload;
}
