package com.blueland.render.rest;


import com.blueland.result.R;
import com.blueland.service.IAreaService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@Api(value = "areainterface")
@RestController
@RequestMapping(value = "/api/areainterface")
public class AreaRest {

    @Autowired
    private IAreaService areaService;


    @GetMapping("/areaTree")
    @ResponseBody
    public R<List<Map<String,Object>>> areaTree()  {
        List<Map<String,Object>> list  = areaService.areaTree();
        return R.ok(list);
    }

}
