package com.blueland.common.core.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import com.mybatisflex.core.keygen.KeyGenerators;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 国际化 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Table(value = "t_international")
@Data
@ApiModel(value = "国际化")
public class International extends BaseEntity {


    @Id(keyType = KeyType.Generator, value = KeyGenerators.uuid)
    @ApiModelProperty(value = "主键")
    private String id;

    @Column(value = "code")
    @ApiModelProperty(value = "编码", required = true)
    private String code;

    @Column(value = "name")
    @ApiModelProperty(value = "名称", required = true)
    private String name;

    @Column(value = "lang")
    @ApiModelProperty(value = "语言", required = true)
    private String lang;

    @Column(value = "type")
    @ApiModelProperty(value = "类型（前端：front，后端：back）", required = true)
    private String type;

    @Column(value = "tenant_id")
    @ApiModelProperty(value = "租户id(后台赋值)")
    private String tenantId;


}
