package com.blueland.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfModule;
import org.apache.ibatis.annotations.Mapper;

import com.blueland.bo.ModuleEntity;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface ModuleDao  extends BaseMapper<TPfModule> {
	
	//根据appId查询模块列表
	List<ModuleEntity> findModuleListByAppId(String appId);

	List<ModuleEntity> findList(@Param("bo") ModuleEntity bo);

	Page<ModuleEntity> findPage(@Param("page") Page<ModuleEntity> page, @Param("bo") ModuleEntity entity);
}
