package com.blueland.model;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @auther xcy
 * @create 2022-05-18 9:19
 */
@Data
public class Query implements Serializable {

    @ApiModelProperty(value = "当前页", required = true)
    @TableField(exist = false)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "每页大小", required = true)
    @TableField(exist = false)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "排序规则")
    @TableField(exist = false)
    private String sortColumn;

    @ApiModelProperty(value = "指定条数")
    @TableField(exist = false)
    private Integer limitNumber;


    @ApiModelProperty(value = "排序规则")
    @TableField(exist = false)
    private String sortColumns;

    @TableField(exist = false)
    private String orderByColumns;
}
