package com.blueland.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 管理员用户对象 t_pf_admin_user
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pf_admin_user")
public class TPfAdminUser implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 
     */
    @TableId(value = "id")
    private String id;

    /**
     * 业务ID
     */
    @TableField("app_id")
    private String appId;

    /**
     * 类型（应用管理：YYGL,业务域：YWY）
     */
    @TableField("admin_type")
    private String adminType;

    /**
     * 用户code
     */
    @TableField("user_code")
    private String userCode;

    /**
     * 用户名称
     */
    @TableField("user_name")
    private String userName;

    /**
     * 用户组织id
     */
    @TableField("user_org_id")
    private String userOrgId;

    /**
     * 用户组织名称
     */
    @TableField("user_org_name")
    private String userOrgName;

    /**
     * 用户部门id
     */
    @TableField("user_dept_id")
    private String userDeptId;

    /**
     * 用户部门Name
     */
    @TableField("user_dept_name")
    private String userDeptName;

}
