package com.blueland.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 参数对象 t_pf_parameter
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pf_parameter")
public class TPfParameter implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 
     */
    @TableId(value = "P_ID", type = IdType.ASSIGN_ID)
    private String pid;

    /**
     * 
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 
     */
    @TableField("P_KEY")
    private String pkey;

    /**
     * 
     */
    @TableField("P_VALUE")
    private String pvalue;

    /**
     * 
     */
    @TableField("APP_ID")
    private String appId;

}
