package com.blueland.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 公共用户对象 t_pub_user
 *
 * @author ruoyi
 * @date 2022-05-10
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_pub_user")
public class TPubUser implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 员工ID-唯一标识员工对象id 
     */
    @TableId("user_id")
    private String userId;

    /**
     * 
     */
    private String userCode;

    /**
     * 
     */
    private String userName;

    /**
     * 
     */
    private String userSex;

    /**
     * 年龄
     */
    private Long userAge;

    /**
     * 
     */
    private String companyId;

    /**
     * 
     */
    private String orgId;

    /**
     * 
     */
    private String userMobile;

    /**
     * 
     */
    private String userMail;

    /**
     * `办公地址
     */
    private String userWorkAddress;

    /**
     * 
     */
    private String userWorkPhone;

    /**
     * 办公地址
     */
    private String userHomeAddree;

    /**
     * 
     */
    private String userHomePhone;

    /**
     * 
     */
    private String positionId;

    /**
     * 
     */
    private String pluralityPositionId;

    /**
     * 
     */
    private String titleId;

    /**
     * 
     */
    private String pluralityTitleId;

    /**
     * 
     */
    private String userType;

    /**
     * 
     */
    private String userStatus;

    /**
     * 
     */
    private Long userSort;

    /**
     * 
     */
    private String salt;

    /**
     * 
     */
    private Date userCreateTime;

    /**
     * 
     */
    private Date userUpdateTime;

    /**
     * 
     */
    private String userCreator;

    /**
     * 
     */
    private String remark;

    /**
     * 
     */
    private String deptId;

    /**
     * 
     */
    private String companyName;

    /**
     * 
     */
    private String deptName;

    /**
     * 
     */
    private String orgName;

    /**
     * 
     */
    private String password;

    /**
     * 
     */
    private Date passwordUpdateTime;


}
