package com.blueland.vo;

import com.blueland.bo.TucStaffEntity;
import com.blueland.model.TUcStaff;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @auther xcy
 * @create 2022-05-13 11:07
 */
@Data
public class StaffPostVO {

    @ApiModelProperty("租户编码")
    private String tenantId;

    @ApiModelProperty("租户名称")
    private String tenantName;

    @ApiModelProperty("工号")
    private String staffCode;

    @ApiModelProperty("应用地址")
    private String appUrl;

    private String staffPostCode;

    @ApiModelProperty("员工信息集合")
    private List<TucStaffEntity> staffList;

}
