package com.blueland.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import lombok.Data;

@Data
@Component
@ConfigurationProperties(prefix = "my")
public class CustomConfig {
/**
 * 物理表同步服务
 */
  private String renderTableServiceUrl;

  /**
   * 代码生成服务
   */
  private String generateServiceUrl;

  /**
   * 是否启动定时任务扫描
   */
  private String quartzScan;

  /**
   * 表单服务
   */
  private String renderFormServiceUrl;
  /**
   * 流程应用同步地址
   */
  private String flowAppSaveUrl;
  /**
   * 获取流程列表
   */
  private String flowListUrl;

  /**
   * render工程url、token
   */
  private String usmsynurl;
  private String authorizition;
}
